Record an integration conflict
Stores local conflict evidence with open status by default. Optional event and mapping links must belong to this organization and selected connection. Snapshot, field-list and resolution JSON are provider/workflow dependent; recording a conflict does not apply values or contact a provider. Requires the integration platform global/configured client feature gate (normally integration_platform_foundation). Requires permission: one of access_account_settings.
curl --request POST \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conflict_type": "Conflict Type",
"sync_event_id": 1,
"object_mapping_id": 1,
"status": "all",
"hys_object_type": "Hys Object Type",
"hys_object_id": 1,
"provider_object_type": "Provider Object Type",
"provider_object_id": "Provider Object Id",
"conflicted_fields_json": {},
"hys_snapshot_json": {},
"provider_snapshot_json": {},
"resolution_json": {}
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts"
payload = {
"conflict_type": "Conflict Type",
"sync_event_id": 1,
"object_mapping_id": 1,
"status": "all",
"hys_object_type": "Hys Object Type",
"hys_object_id": 1,
"provider_object_type": "Provider Object Type",
"provider_object_id": "Provider Object Id",
"conflicted_fields_json": {},
"hys_snapshot_json": {},
"provider_snapshot_json": {},
"resolution_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conflict_type: 'Conflict Type',
sync_event_id: 1,
object_mapping_id: 1,
status: 'all',
hys_object_type: 'Hys Object Type',
hys_object_id: 1,
provider_object_type: 'Provider Object Type',
provider_object_id: 'Provider Object Id',
conflicted_fields_json: {},
hys_snapshot_json: {},
provider_snapshot_json: {},
resolution_json: {}
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conflict_type' => 'Conflict Type',
'sync_event_id' => 1,
'object_mapping_id' => 1,
'status' => 'all',
'hys_object_type' => 'Hys Object Type',
'hys_object_id' => 1,
'provider_object_type' => 'Provider Object Type',
'provider_object_id' => 'Provider Object Id',
'conflicted_fields_json' => [
],
'hys_snapshot_json' => [
],
'provider_snapshot_json' => [
],
'resolution_json' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts"
payload := strings.NewReader("{\n \"conflict_type\": \"Conflict Type\",\n \"sync_event_id\": 1,\n \"object_mapping_id\": 1,\n \"status\": \"all\",\n \"hys_object_type\": \"Hys Object Type\",\n \"hys_object_id\": 1,\n \"provider_object_type\": \"Provider Object Type\",\n \"provider_object_id\": \"Provider Object Id\",\n \"conflicted_fields_json\": {},\n \"hys_snapshot_json\": {},\n \"provider_snapshot_json\": {},\n \"resolution_json\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conflict_type\": \"Conflict Type\",\n \"sync_event_id\": 1,\n \"object_mapping_id\": 1,\n \"status\": \"all\",\n \"hys_object_type\": \"Hys Object Type\",\n \"hys_object_id\": 1,\n \"provider_object_type\": \"Provider Object Type\",\n \"provider_object_id\": \"Provider Object Id\",\n \"conflicted_fields_json\": {},\n \"hys_snapshot_json\": {},\n \"provider_snapshot_json\": {},\n \"resolution_json\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conflict_type\": \"Conflict Type\",\n \"sync_event_id\": 1,\n \"object_mapping_id\": 1,\n \"status\": \"all\",\n \"hys_object_type\": \"Hys Object Type\",\n \"hys_object_id\": 1,\n \"provider_object_type\": \"Provider Object Type\",\n \"provider_object_id\": \"Provider Object Id\",\n \"conflicted_fields_json\": {},\n \"hys_snapshot_json\": {},\n \"provider_snapshot_json\": {},\n \"resolution_json\": {}\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 2,
"provider_key": "Example",
"conflict_type": "Example",
"status": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"provider_object_type": "Example",
"provider_object_id": 42,
"conflicted_fields_json": {},
"hys_snapshot_json": {},
"provider_snapshot_json": {},
"detected_at": "2026-10-20T12:00:00Z",
"resolved_at": "2026-10-20T12:00:00Z",
"resolved_by": 42,
"resolution_json": {},
"relationship_identity": {
"kind": "relationship_identity",
"collision_reason": "Example",
"source": {
"provider_object_type": "Example",
"provider_object_id": "Example",
"source_provider_id": "Example",
"related_provider_id": "Example",
"source_name": "Example",
"related_name": "Example",
"relationship_type": "Example",
"reverse_relationship_type": "Example"
},
"current_mapping": {
"id": 42,
"hys_relationship_id": 42
},
"can_keep_separate": true,
"keep_separate_will_create": true,
"can_treat_as_same_or_reverse": true,
"expected_object_mapping_id": 42,
"stale_mapping_token": "<string>",
"pending_resolution": {
"decision": "Example",
"target_hys_object_id": 42,
"staged_at": "2023-11-07T05:31:56Z",
"verification_status": "Example"
},
"candidates": [
{
"id": 42,
"source_name": "Example",
"related_name": "Example",
"relationship_type": "Example",
"is_current": true,
"available": true
}
]
},
"recurring_schedule": {
"kind": "recurring_schedule",
"source": {
"provider_object_type": "Example",
"provider_object_id": "Example",
"donor_provider_id": "Example",
"currency": "Example",
"frequency": "Example",
"start_date": "Example",
"end_date": "Example",
"status": "Example",
"last_modified_at": "Example",
"amount": 125
},
"matched_donor": {
"id": 42,
"name": "Example"
},
"active_commitments": [
{
"id": 42,
"amount": 125,
"frequency": "Example",
"is_non_charging": true,
"is_external_processor": true
}
],
"active_commitment_count": 2,
"active_commitment_total": 125,
"mapped_commitment": {
"id": 42,
"amount": 125,
"frequency": "Example",
"is_non_charging": true,
"is_external_processor": true,
"mapping_id": 42
},
"can_mark_already_represented": true,
"expected_provider_object_id": "Example",
"source_snapshot_token": "<string>",
"active_commitment_token": "<string>"
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Connection id in the current organization.
Body
Validated request fields for this operation.
Conflict type. Validation: required, string, max:64.
64"Conflict Type"
Sync event id. Validation: nullable, integer.
1
Object mapping id. Validation: nullable, integer.
1
Status. Validation: nullable, string, max:32.
32"all"
Hys object type. Validation: nullable, string, max:64.
64"Hys Object Type"
Hys object id. Validation: nullable, integer.
1
Provider object type. Validation: nullable, string, max:64.
64"Provider Object Type"
Provider object id. Validation: nullable, string, max:191.
191"Provider Object Id"
Conflicted fields json. Validation: nullable, array.
Show child attributes
Show child attributes
Stored workflow-specific JSON; no additional structure is validated here.
Show child attributes
Show child attributes
Stored workflow-specific JSON; no additional structure is validated here.
Show child attributes
Show child attributes
Stored workflow-specific JSON; no additional structure is validated here.
Show child attributes
Show child attributes
curl --request POST \
--url https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conflict_type": "Conflict Type",
"sync_event_id": 1,
"object_mapping_id": 1,
"status": "all",
"hys_object_type": "Hys Object Type",
"hys_object_id": 1,
"provider_object_type": "Provider Object Type",
"provider_object_id": "Provider Object Id",
"conflicted_fields_json": {},
"hys_snapshot_json": {},
"provider_snapshot_json": {},
"resolution_json": {}
}
'import requests
url = "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts"
payload = {
"conflict_type": "Conflict Type",
"sync_event_id": 1,
"object_mapping_id": 1,
"status": "all",
"hys_object_type": "Hys Object Type",
"hys_object_id": 1,
"provider_object_type": "Provider Object Type",
"provider_object_id": "Provider Object Id",
"conflicted_fields_json": {},
"hys_snapshot_json": {},
"provider_snapshot_json": {},
"resolution_json": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conflict_type: 'Conflict Type',
sync_event_id: 1,
object_mapping_id: 1,
status: 'all',
hys_object_type: 'Hys Object Type',
hys_object_id: 1,
provider_object_type: 'Provider Object Type',
provider_object_id: 'Provider Object Id',
conflicted_fields_json: {},
hys_snapshot_json: {},
provider_snapshot_json: {},
resolution_json: {}
})
};
fetch('https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conflict_type' => 'Conflict Type',
'sync_event_id' => 1,
'object_mapping_id' => 1,
'status' => 'all',
'hys_object_type' => 'Hys Object Type',
'hys_object_id' => 1,
'provider_object_type' => 'Provider Object Type',
'provider_object_id' => 'Provider Object Id',
'conflicted_fields_json' => [
],
'hys_snapshot_json' => [
],
'provider_snapshot_json' => [
],
'resolution_json' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts"
payload := strings.NewReader("{\n \"conflict_type\": \"Conflict Type\",\n \"sync_event_id\": 1,\n \"object_mapping_id\": 1,\n \"status\": \"all\",\n \"hys_object_type\": \"Hys Object Type\",\n \"hys_object_id\": 1,\n \"provider_object_type\": \"Provider Object Type\",\n \"provider_object_id\": \"Provider Object Id\",\n \"conflicted_fields_json\": {},\n \"hys_snapshot_json\": {},\n \"provider_snapshot_json\": {},\n \"resolution_json\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conflict_type\": \"Conflict Type\",\n \"sync_event_id\": 1,\n \"object_mapping_id\": 1,\n \"status\": \"all\",\n \"hys_object_type\": \"Hys Object Type\",\n \"hys_object_id\": 1,\n \"provider_object_type\": \"Provider Object Type\",\n \"provider_object_id\": \"Provider Object Id\",\n \"conflicted_fields_json\": {},\n \"hys_snapshot_json\": {},\n \"provider_snapshot_json\": {},\n \"resolution_json\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/integrations/hub/connections/{connection_id}/conflicts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conflict_type\": \"Conflict Type\",\n \"sync_event_id\": 1,\n \"object_mapping_id\": 1,\n \"status\": \"all\",\n \"hys_object_type\": \"Hys Object Type\",\n \"hys_object_id\": 1,\n \"provider_object_type\": \"Provider Object Type\",\n \"provider_object_id\": \"Provider Object Id\",\n \"conflicted_fields_json\": {},\n \"hys_snapshot_json\": {},\n \"provider_snapshot_json\": {},\n \"resolution_json\": {}\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 2,
"provider_key": "Example",
"conflict_type": "Example",
"status": "Example",
"hys_object_type": "Example",
"hys_object_id": 42,
"provider_object_type": "Example",
"provider_object_id": 42,
"conflicted_fields_json": {},
"hys_snapshot_json": {},
"provider_snapshot_json": {},
"detected_at": "2026-10-20T12:00:00Z",
"resolved_at": "2026-10-20T12:00:00Z",
"resolved_by": 42,
"resolution_json": {},
"relationship_identity": {
"kind": "relationship_identity",
"collision_reason": "Example",
"source": {
"provider_object_type": "Example",
"provider_object_id": "Example",
"source_provider_id": "Example",
"related_provider_id": "Example",
"source_name": "Example",
"related_name": "Example",
"relationship_type": "Example",
"reverse_relationship_type": "Example"
},
"current_mapping": {
"id": 42,
"hys_relationship_id": 42
},
"can_keep_separate": true,
"keep_separate_will_create": true,
"can_treat_as_same_or_reverse": true,
"expected_object_mapping_id": 42,
"stale_mapping_token": "<string>",
"pending_resolution": {
"decision": "Example",
"target_hys_object_id": 42,
"staged_at": "2023-11-07T05:31:56Z",
"verification_status": "Example"
},
"candidates": [
{
"id": 42,
"source_name": "Example",
"related_name": "Example",
"relationship_type": "Example",
"is_current": true,
"available": true
}
]
},
"recurring_schedule": {
"kind": "recurring_schedule",
"source": {
"provider_object_type": "Example",
"provider_object_id": "Example",
"donor_provider_id": "Example",
"currency": "Example",
"frequency": "Example",
"start_date": "Example",
"end_date": "Example",
"status": "Example",
"last_modified_at": "Example",
"amount": 125
},
"matched_donor": {
"id": 42,
"name": "Example"
},
"active_commitments": [
{
"id": 42,
"amount": 125,
"frequency": "Example",
"is_non_charging": true,
"is_external_processor": true
}
],
"active_commitment_count": 2,
"active_commitment_total": 125,
"mapped_commitment": {
"id": 42,
"amount": 125,
"frequency": "Example",
"is_non_charging": true,
"is_external_processor": true,
"mapping_id": 42
},
"can_mark_already_represented": true,
"expected_provider_object_id": "Example",
"source_snapshot_token": "<string>",
"active_commitment_token": "<string>"
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}